<?
/*
Ниже происходит переход на следующий уровень, любое изменение в коде произведет к нестабильной работе игры
*/

//Выбираем самый большой уровень из списка уровней

$bigl = 150;
/*Эсли в базе нету больше уровней, то переходы не выполняються, а счетчик опыта показывает ввесь, набраный за всю игру, опыт*/
if($ku['level']<$bigl){
if($ku['level']>1){
$rl = 0;
$ql = mysql_querll("SELECT * FROM `kolhoz_level`");
while($pl=mysql_fetch_array($ql)){
if($pl['level']<=$ku['level'])$rl=$rl+$pl['rating'];
}
$kr=$ku['rating']-$rl;
}
else $kr=$ku['rating'];
$level=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_level` WHERE `level` = '".($ku['level']+1)."' LIMIT 1"));
if($kr>=$level['rating']){
if(!empty($ku['refi'])){
$refi=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_user` WHERE `id`='$ku[refi]' LIMIT 1"));
mysql_querll("UPDATE `kolhoz_user` SET  `rubies` = '".($refi['rubies']+50)."', `money` = '".($refi['money']+30000)."' WHERE `id` = '$ku[refi]'");
$text='Ваш реферал '.$ku[nick].' достиг '.$level[level].' уровня! Вам начислено 50 рубина и 30000 монет';
mysql_querll("INSERT INTO `kolhoz_mail` SET `id_user` = '$ku[refi]', `id_kont` = '300', `msg` = '$text', `time` = '".time()."', `type` = 'to'") or die (mysql_error());
}
if($ku['level']==43){
$vuvod = mysql_querll("SELECT * FROM `kolhoz_user` WHERE `id` = '$ku[id_prig]'");
$v = mysql_fetch_array($vuvod);
mysql_querll("UPDATE `kolhoz_user` SET  `rubies` = '".($v['rubies']+2000000)."', `money` = '".($v['money']+5000000000)."' WHERE `id` = '$ku[id_prig]'");
$text='Ваш реферал '.$ku[nick].' достиг 43 уровня! Вам начислено 2 000 000 рубинов и 5 000 000 000 монет';
mysql_querll("INSERT INTO `kolhoz_mail` SET `id_user` = '".$ku['id_prig']."', `id_kont` = '300', `msg` = '$text', `time` = '".time()."', `type` = 'to'") or die (mysql_error());
}
echo "<div class='feedback'>
Поздравляем, Вы получили <span class='title'><span><b>$level[level]</b></span> уровень.</span><br>
Вам начислено: <span class='title'><img width='16' height='16' src='img/icons/ruby.png' alt='o'><span><b>".($level['level']*10)."</b></span>,
<img width='16' height='16' src='img/icons/money.png' alt='o'> <span><b>".($level['level']*100)."</b></span>,
<img src='img/icons/baks.png' alt='o'> <span><b>".($level['level']*3)."</b></span>";
if($ku['level']>=39){echo ",<img width='16' height='16' src='img/icons/zkl.png' alt='o'> <span><b>1</b></span> и <img width='16' height='16' src='img/euro.png' alt='o'> <span><b>1</b></span>";}
echo "<br/>";
$semen = mysql_querll("SELECT `name` FROM `kolhoz_plant` WHERE `level` = '$level[level]' ");
if(mysql_num_rows($semen)>=1){
echo'Доступны новые семена:<br/>';
While($sem = mysql_fetch_array($semen)){
echo "<font color='violet'>$sem[name]</font>, ";
}
}

$semen = mysql_querll("SELECT `name` FROM `kolhoz_fish` WHERE `level` = '$level[level]' ");
if(mysql_num_rows($semen)>=1){
echo'<br/>Доступны новые рыбы:<br/>';
While($sem = mysql_fetch_array($semen)){
echo "<font color='violet'>$sem[name]</font>, ";
}
}

$semen = mysql_querll("SELECT `name` FROM `kolhoz_plant2` WHERE `level` = '$level[level]' ");
if(mysql_num_rows($semen)>=1){
echo'<br>Доступны новые рецепты:<br/>';
While($sem = mysql_fetch_array($semen)){
echo "<font color='violet'>$sem[name]</font>, ";
}
}

$semen=mysql_querll("SELECT `name` FROM `kolhoz_tree` WHERE `level` = '$level[level]' ");
if(mysql_num_rows($semen)>=1){
echo'<br>Доступны новые деревья:<br/>';
While($sem = mysql_fetch_array($semen)){
echo "<font color='violet'>$sem[name]</font>, ";
}
}

$semen=mysql_querll("SELECT `name` FROM `kolhoz_pet` WHERE `level` = '$level[level]' ");
if(mysql_num_rows($semen)>=1){
echo'<br>Доступны новые животные:<br/>';
While($sem = mysql_fetch_array($semen)){
echo "<font color='violet'>$sem[name]</font>, ";
}
}
if($ku['level']>=39){$zkl=1;}//поменять на 39 а начисляет с 40ур
if($ku['level']>=39){$euro=1;}//поменять на 39 а начисляет с 40ур

echo"<br/>Хорошего урожая!</div></div></span>";
mysql_querll("UPDATE `kolhoz_user` SET `level` = '$level[level]', `rubies` = '".($ku['rubies']+($level['rubies']*10))."', `money` = '".($ku['money']+($level['level']*100))."', `zkl` = '".($ku['zkl']+$zkl)."', `euro` = '".($ku['euro']+$euro)."', `almaz` = '".($ku['almaz']+($level['level']*3))."' WHERE `id` = '$ku[id]'");

$ku['level'] = $level['level'];
$ku['money'] = $ku['money'] + ($level['level']*100);
$ku['rubies'] = $ku['rubies'] + ($level['level']*10);
$ku['zkl'] = $ku['zkl'] + $zkl;
$ku['euro'] = $ku['euro'] + $euro;
$ku['almaz'] = $ku['almaz'] + ($level['level']*3);
$rl = 0;
$ql = mysql_querll("SELECT * FROM `kolhoz_level`");
while($pl = mysql_fetch_array($ql)){
if($pl['level']<=$ku['level'])$rl=$rl+$pl['rating'];
}
$kr = $ku['rating'] - $rl;
$level = mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_level` WHERE `level` = '".($ku['level']+1)."' LIMIT 1"));
}
}

//Устанавливаем 1 первый уровень, если тот уровень что у пользователя не найден в базе
//Потом уровень будет подбит под сюществующий опыт

//mysql_querll("UPDATE `kolhoz_user` SET `level` = '1' WHERE `level` = '0'");
?>